class BankAccount:

    # constructor
    def __init__(self, newAccountID, initialBalance):
        # instance variables
        self.accountID = newAccountID
        self.balance = initialBalance

    def __str__(self):
        s = "BankAccount #{}".format(self.accountID)
        return s

    def inquiry(self):
        print("Balance is currently ${:.2f}".format(self.balance))

    def deposit(self, amount):
        if amount < 0:
            print("Sorry, amount cannot be negative")
        else:
            self.balance = self.balance + amount
            print("Deposited ${:.2f} in account #{}".format(amount, self.accountID))
            self.inquiry()

    def withdraw(self, amount):
        if amount < 0:
            print("Sorry, amount cannot be negative")
        elif amount > self.balance:
            print("Sorry, insufficient funds")
        else:
            self.balance = self.balance - amount
            print("Withdrew ${:.2f} from account #{}".format(amount, self.accountID))
            self.inquiry()


#----------------------------------------------------------------
# create some BankAccount objects for testing

b1 = BankAccount(1001, 500.00)
b2 = BankAccount(1002, 300.00)
b3 = BankAccount(1003, 250.00)

